import { Guild } from '..';
import BaseUser from './BaseUser';
import Client from './Client';
import GuildMember from './GuildMember';
import TextBasedChannel from './TextBasedChannel';
export default class Message {
    client: Client;
    readonly id: string;
    content: string | null;
    webhookId: string | null;
    guild: Guild | null;
    author: BaseUser | null;
    member: GuildMember | null;
    channel: TextBasedChannel;
    private baseAuthor;
    constructor(client: Client, data: any);
    private build;
    crosspost(): Promise<void>;
    delete(): Promise<void>;
    reply(content: string): Promise<Message>;
    private waitForAuthor;
    private set;
}
