"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const MessageBlock_1 = __importDefault(require("./blocks/MessageBlock"));
const GuildChannel_1 = __importDefault(require("./GuildChannel"));
class TextBasedChannel extends GuildChannel_1.default {
    constructor(client, data, options) {
        super(client, data);
        this.messages = new MessageBlock_1.default(client, options);
    }
}
exports.default = TextBasedChannel;
