import Guild from '../Guild';
import Client from '../Client';
import { GuildResolvable } from '../../util/Types';
import CachedBlock from './CachedBlock';
export default class GuildBlock extends CachedBlock {
    constructor(client: Client, options?: any);
    fetch(options: GuildResolvable | {
        guild: GuildResolvable;
        shouldCache?: boolean;
        bypassCache?: boolean;
    }): Promise<Guild>;
}
