import Client from '../Client';
import CachedBlock from './CachedBlock';
import ClientUser from '../ClientUser';
import User from '../User';
import { UserResolvable } from '../../util/Types';
export default class UserBlock extends CachedBlock {
    constructor(client: Client, options?: any);
    fetchMe(): Promise<ClientUser>;
    fetch(userId: string, options?: {
        shouldCache?: boolean;
        bypassCache?: boolean;
    }): Promise<User>;
    resolve(user: UserResolvable, def?: any): User | null;
}
