import Client from '../Client';
export default class HTTPGuild {
    static addMember(client: Client, guildId: string, userId: string, data: any): Promise<any>;
    static addMemberRole(client: Client, guildId: string, userId: string, roleId: string, data: any, reason?: string): Promise<any>;
    static beginPrune(client: Client, guildId: string, data: any, reason?: string): Promise<any>;
    static createBan(client: Client, guildId: string, userId: string, data: any, reason?: string): Promise<any>;
    static createChannel(client: Client, guildId: string, data: any, reason?: string): Promise<any>;
    static createRole(client: Client, guildId: string, data: any, reason?: string): Promise<any>;
    static delete(client: Client, guildId: string): Promise<any>;
    static deleteIntegration(client: Client, guildId: string, integrationId: string, reason?: string): Promise<any>;
    static deleteRole(client: Client, guildId: string, roleId: string, reason?: string): Promise<any>;
    static get(client: Client, guildId: string): Promise<any>;
    static getActiveThreads(client: Client, guildId: string): Promise<any>;
    static getBan(client: Client, guildId: string, userId: string): Promise<any>;
    static getBans(client: Client, guildId: string): Promise<any>;
    static getChannels(client: Client, guildId: string): Promise<any>;
    static getIntegrations(client: Client, guildId: string): Promise<any>;
    static getInvites(client: Client, guildId: string): Promise<any>;
    static getMember(client: Client, guildId: string, userId: string): Promise<any>;
    static getMembers(client: Client, guildId: string): Promise<any>;
    static getPreview(client: Client, guildId: string): Promise<any>;
    static getPruneCount(client: Client, guildId: string, days: number, includeRoles?: string): Promise<any>;
    static getRoles(client: Client, guildId: string): Promise<any>;
    static getVanityUrl(client: Client, guildId: string): Promise<any>;
    static getVoiceRegions(client: Client, guildId: string): Promise<any>;
    static getWelcomeScreen(client: Client, guildId: string): Promise<any>;
    static getWidget(client: Client, guildId: string): Promise<any>;
    static getWidgetSettings(client: Client, guildId: string): Promise<any>;
    static modify(client: Client, guildId: string, data: any, reason?: string): Promise<any>;
    static modifyChannelPositions(client: Client, guildId: string, data: any, reason?: string): Promise<any>;
    static modifyCurrentMember(client: Client, guildId: string, data: any, reason?: string): Promise<any>;
    static modifyMember(client: Client, guildId: string, userId: string, data: any, reason?: string): Promise<any>;
    static modifyRole(client: Client, guildId: string, roleId: string, data: any, reason?: string): Promise<any>;
    static modifyRolePositions(client: Client, guildId: string, data: any, reason?: string): Promise<any>;
    static modifyVoiceState(client: Client, guildId: string, userId: string, data: any, reason?: string): Promise<any>;
    static modifyWelcomeScreen(client: Client, guildId: string, data: any, reason?: string): Promise<any>;
    static modifyWidget(client: Client, guildId: string, data: any, reason?: string): Promise<any>;
    static removeBan(client: Client, guildId: string, userId: string, reason?: string): Promise<any>;
    static removeMember(client: Client, guildId: string, userId: string, reason?: string): Promise<any>;
    static removeMemberRole(client: Client, guildId: string, userId: string, roleId: string, reason?: string): Promise<any>;
    static searchMembers(client: Client, guildId: string, query: string): Promise<any>;
}
