"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Request_1 = __importDefault(require("../Request"));
class CreateMessageReaction extends Request_1.default {
    constructor(client, channelId, messageId, emoji) {
        emoji = encodeURIComponent(emoji);
        super(client, 'PUT', `/channels/${channelId}/messages/${messageId}/reactions/${emoji}/@me`);
    }
}
exports.default = CreateMessageReaction;
