import { Status } from '../../util/Constants';
import Client from '../Client';
export default class InternalWebsocket {
    client: Client;
    url: URL;
    domain: string;
    status: Status;
    encoding: string;
    buffer: any;
    constructor(client: Client, domain: string);
    protected processPacket(data: any): any;
    protected unpack(data: any, type?: string): any;
    protected pack(data: any): any;
    protected init(): void;
    protected generateURL(): URL;
}
