import { ActivityStatus } from '../util/Types';
import { ActivityType } from '../util/Constants';
import BaseUser from './BaseUser';
import Client from './Client';
export default class ClientUser extends BaseUser {
    bot: boolean;
    system: boolean;
    constructor(client: Client, data: any);
    private build;
    updatePresence(options: {
        status?: ActivityStatus;
        afk?: boolean;
        activity?: {
            name: string;
            type?: ActivityType;
        };
    }): void;
    setName(name: string): Promise<void>;
}
