import Client from '../Client';
import CachedBlock from './CachedBlock';
import { UserResolvable } from '../../util/Types';
import GuildMember from '../GuildMember';
import Guild from '../Guild';
export default class GuildMemberBlock extends CachedBlock {
    guild: Guild;
    constructor(client: Client, guild: Guild, options?: any);
    fetch(userId: string, options?: {
        shouldCache?: boolean;
        bypassCache?: boolean;
    }): Promise<GuildMember>;
    resolve(user: UserResolvable, guild: Guild, def?: any): GuildMember | null;
}
