"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Message_1 = __importDefault(require("../../Message"));
async function MESSAGE_CREATE(ws, data) {
    ws.client.debug(`received message create: ${data.id}`);
    let message = (await (new Message_1.default(ws.client, data))['waitForAuthor']())['set']();
    ws.client.emit('message', message);
}
exports.default = MESSAGE_CREATE;
