"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Status = void 0;
var Status;
(function (Status) {
    Status[Status["IDLE"] = 0] = "IDLE";
    Status[Status["READY"] = 1] = "READY";
    Status[Status["CONNECTING"] = 2] = "CONNECTING";
    Status[Status["RECONNECTING"] = 3] = "RECONNECTING";
    Status[Status["DISCONNECTED"] = 4] = "DISCONNECTED";
    Status[Status["WAITING_FOR_GUILDS"] = 5] = "WAITING_FOR_GUILDS";
    Status[Status["RESUMING"] = 6] = "RESUMING";
    Status[Status["IDENTIFYING"] = 7] = "IDENTIFYING";
})(Status = exports.Status || (exports.Status = {}));
